none
Cannot Install Any .NET Frameworks RRS feed

  • Question

  • Hey, 
    I've been trying to install any version of .net framework on and off for about a year now, but never really spent much time on it as it wasn't imperative. Now though, I need at least .NET Framework version 3.5 for a program I want to run, and I cannot get this to install.
    I have a moderately new PC running Windows Vista Home Premium Service Pack 1 64 bit. I have an Intel Core 2 Duo CPU and 4GB of RAM. I've had trouble installing some other programs, such as Python, because of Windows Installer Errors. But apart from them my computer runs pretty well.
    I cannot remember whether .NET Framework ran when the PC was new but I also can't remember having problems with it. I remember the first time I tried installing a .NET Framework I got error code 1603 and was told to uninstall and  reinstall all versions of .NET Framework, I looked in Programs and Features but found none. I then tried the .NET Framework Automatic Cleanup Tool but still could not install. Now, I checked programs and features found none then ran the cleanup tool before I tried installing .NET Framework 3.5 from Microsoft but I still got this error log:

     

    [08/22/10,18:26:29] Microsoft .NET Framework 3.5 (x64) 'package': [2] Error: Installation failed for component Microsoft .NET Framework 3.5 (x64) 'package'. MSI returned error code 1603
    [08/22/10,18:27:10] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.5 (x64) 'package' is not installed.

     

    Recently with windows update my computer has tried to install various .NET Framework packages here are the ones I found relating to .NET Framework:

    1. Microsoft .NET Framework 3.5 Service Pack 1 and .NET Framework 3.5 Family Update (KB951847) x64 -- Failed -- Error Code 80246007
    2. Microsoft .NET Framework 3.5 SP1 Security Update for Windows Vista SP1 and Windows Server 2008 for x64-based Systems (KB979911) -- Successful
    3. Microsoft .NET Framework 3.5 SP1 Update for Windows Vista SP1 and Windows Server 2008 for x64-based Systems (KB982535) -- Successful
    4. Security Update for .NET Framework 3.5 SP1 on Windwos Vista SP1 and Windows Server 2008 for x64-based Systems (KB983588) -- Successful
      Today
    5. Microsoft .NET Framework 3.5 Service Pack 1 and .NET Framework 3.5 Family Update (KB951847) x64 -- Failed -- Error Code 643
    6. Microsoft .NET Framework 4 Client Profile for Windows Vista x64-based Systems (KB982670) -- Failed -- Error Code 643
    Today I tried both the Full Redistributable Package and Standard .NET Framework 3.5 but got the error log above. I successfully installed Microsoft .NET Compact Framework 3.5 today but that didn't fill the requirements of the program. I found Microsoft Network 3.0 in 'Turn Windows Features on or off' (Although it isn't in Programs and Features) and have tried installing 3.5 with it both on and off.
    I don't know if it's related but I tried updating windows installer from microsoft, and all of them: ia-64, 64, 86. say that this update doesn't apply to this particular system.
    Thanks in advance for any help,
    ~Jonas
    • Changed type Xzanth Sunday, August 29, 2010 3:14 PM
    • Changed type Xzanth Sunday, August 29, 2010 3:15 PM
    Sunday, August 22, 2010 6:21 PM

All replies

  • Hi Xzanth,

    Thank you for your post.

    Some clarification with you

    1. Would you like to install .net framework 3.5 on your machine?

    2. Could you please attach your log files in your reply or upload them via Skydrive?

    3. Could you run your OS well now?

     

    Windows Vista SP1 is including .net framework 2.0 sp1 and .net framework 3.0 sp1 after you have installed Vista.

    I would provide you some suggestions here.

    1, you could type %systemroot%\Microsoft.NET\Framework64 on your command line to check which versions of .net framework have been installed on your machine.

    2, then, could you please check whether .net framework versions are installed correctly on your machine or not.

    You could download .net framework verification tool from Microsoft.

    http://blogs.msdn.com/b/astebner/archive/2008/10/13/8999004.aspx

    This verification tool could help you verify the installation state of one or more versions of .net framework on your machine.

     

    If .net framework 2.0 sp1 or .net framework 3.0 sp1 is corrupted, I would recommend that you might reinstall your OS.

    Based on your description, you have uninstalled .net framework via CleanUp Tool. I think that it might be caused by affecting some key-value in your registry.

     

    If you would like to install .net framework 3.5 on your machine, I would provide you some suggestions as follows.

    .NET Framework 3.5 service pack 1 is a cumulative update that contains many new features building incrementally upon .net framework 2.0, 3.0, 3.5, and includes .NET Framework 2.0 service pack 2 and .NET Framework 3.0 service pack 2 cumulative updates.

    It is supported Windows Vista.

    You could download it from the following link.

    http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=d0e5dea7-ac26-4ad7-b68c-fe5076bba986

     

    Look forward for your reply!

    Best Regards

    Larcolais Gong


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    Tuesday, August 24, 2010 3:48 AM
  • Thanks for the reply,

     

    1. I would like to install .NET Framework 3.5
    2. Done
    3. Sorry but I don't understand your question, my OS runs fine apart from this if that's what you're asking.

     

    Following your suggestions I got these results:

     

    1. 'C:\Windows\Microsoft.NET\Framework64' is not recognized as an internal or external command, operable program or batch file.
    2. Log Here
    3. Installing your link of 3.5 gave this
    Thanks,
    ~Jonas
    Tuesday, August 24, 2010 8:20 AM
  • Hi Xzanth,

    Glad to see your reply.

     

    As your verification tool, it seems that your .net framework 3.5 is not installed on your machine.

    Based on your description, could you please check whether the features of .net framework 3.5.1 is turned on your machine or not?

    You could follow the following steps.

    1. Click ‘Control Panel’

    2. Select ‘Uninstall a program’

    3. Click ‘Turn Windows features on or off’

    4. Have Microsoft .NET Framework 3.5.1 been checked or not.

     

    If it has not been checked, please ensure that it has been checked.

    Then, click ‘OK’

     

    Hope this helps!

    Best Regards

    Larcolais Gong

     


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    Tuesday, August 24, 2010 9:34 AM
  • Unfortunately, I don't have 'Microsoft .NET Framework 3.5.1' there, I do however, have 'Microsoft .NET Framework 3.0' and that is ticked. 
    Thanks for the help though,
    ~Jonas
    Tuesday, August 24, 2010 11:28 AM
  • Hi Xzanth,

    Based on your update error information, I found some error information as follows.

    Microsoft .NET Framework 3.5 Service Pack 1 and .NET Framework 3.5 Family Update (KB951847) x64 -- Failed -- Error Code 80246007

    If you receive Windows Update error 80246007 while downloading or checking for updates, you might need to change or restart the Background Intelligent Transfer Service (BITS). This service allows Windows Update to download updates to your computer.

    You could refer the following link.

    http://windows.microsoft.com/en-IN/windows-vista/Windows-Update-error-80246007

    The following link talks about this error’s repair guide.

    http://www.softipblog.com/error-code-80246007.php

    Then, could you please upgrade your Windows Vista via Windows Update?

    After you have upgraded successfully, please run .net framework’s installer on your machine again.

     

    Hope this helps!

    Best Regards

    Larcolais Gong


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    Wednesday, August 25, 2010 1:37 AM
  • Hi Xzanth,

    I'm writing to follow-up this post.

    Do the above suggestions help you solve your concerns?

    I'm marking this post as Answered.

    If you have any issues or findings, please feel free to let me know.

    Best Regards

    Larcolais Gong


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by Xzanth Sunday, August 29, 2010 10:45 PM
    • Unmarked as answer by Xzanth Sunday, August 29, 2010 10:45 PM
    Friday, August 27, 2010 2:32 AM
  • Sorry I couldn't get back to you, I was unexpectedly away for a few days. I updated all my drivers, restarted, updated windows, restarted and tried installing net framework but got the same error. The other download link on that site, the registry fix, said it wasn't applicable to Vista x64, so I couldn't install that either.
    Thanks,
    Jonas.
    • Edited by Xzanth Tuesday, August 31, 2010 8:21 AM
    Friday, August 27, 2010 6:08 PM
  • I don't see anyway to contact you other than reply to this thread. So I'm bumping this again...
    ~Jonas
    Tuesday, August 31, 2010 8:20 AM